Skip to navigation

List Posting Components

This endpoint retrieves a page of Posting Components, each with its Posting Patterns, referenced by their code. Supply X-Change-Set to list the Posting Components of that change set instead of the current approved configuration.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Headers

X-Change-SetstringOptionalformat: "uuid"

The changeSetId of an open change set. When supplied, this request reads or writes against that change set’s working copy instead of the current approved accounting rules configuration - see the Change Sets operations.

Query parameters

pageintegerOptional>=0Defaults to 0
The page to fetch. Pages are numbered from 0.
sizeintegerOptional1-1000Defaults to 1000
The maximum number of items to include in the page.

Response

OK
datalist of objects
The Posting Components on this page.
pageinteger
Number of the page that was returned. Pages are numbered from 0.
sizeinteger
Maximum number of Posting Components the page was allowed to hold.
totalPagesinteger
Total number of pages available.
totalSizelong
Total number of Posting Components available.

Errors

401
Unauthorized Error
429
Too Many Requests Error
5XX
Server Error